// Generated by gencpp from file kombos_server/positionMsg.msg
// DO NOT EDIT!


#ifndef KOMBOS_SERVER_MESSAGE_POSITIONMSG_H
#define KOMBOS_SERVER_MESSAGE_POSITIONMSG_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>

#include <geometry_msgs/Point.h>

namespace kombos_server
{
template <class ContainerAllocator>
struct positionMsg_
{
  typedef positionMsg_<ContainerAllocator> Type;

  positionMsg_()
    : name()
    , position()
    , fiability(false)  {
    }
  positionMsg_(const ContainerAllocator& _alloc)
    : name(_alloc)
    , position(_alloc)
    , fiability(false)  {
  (void)_alloc;
    }



   typedef std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other >  _name_type;
  _name_type name;

   typedef  ::geometry_msgs::Point_<ContainerAllocator>  _position_type;
  _position_type position;

   typedef uint8_t _fiability_type;
  _fiability_type fiability;





  typedef boost::shared_ptr< ::kombos_server::positionMsg_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::kombos_server::positionMsg_<ContainerAllocator> const> ConstPtr;

}; // struct positionMsg_

typedef ::kombos_server::positionMsg_<std::allocator<void> > positionMsg;

typedef boost::shared_ptr< ::kombos_server::positionMsg > positionMsgPtr;
typedef boost::shared_ptr< ::kombos_server::positionMsg const> positionMsgConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::kombos_server::positionMsg_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::kombos_server::positionMsg_<ContainerAllocator> >::stream(s, "", v);
return s;
}


template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator==(const ::kombos_server::positionMsg_<ContainerAllocator1> & lhs, const ::kombos_server::positionMsg_<ContainerAllocator2> & rhs)
{
  return lhs.name == rhs.name &&
    lhs.position == rhs.position &&
    lhs.fiability == rhs.fiability;
}

template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator!=(const ::kombos_server::positionMsg_<ContainerAllocator1> & lhs, const ::kombos_server::positionMsg_<ContainerAllocator2> & rhs)
{
  return !(lhs == rhs);
}


} // namespace kombos_server

namespace ros
{
namespace message_traits
{





template <class ContainerAllocator>
struct IsFixedSize< ::kombos_server::positionMsg_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::kombos_server::positionMsg_<ContainerAllocator> const>
  : FalseType
  { };

template <class ContainerAllocator>
struct IsMessage< ::kombos_server::positionMsg_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::kombos_server::positionMsg_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::kombos_server::positionMsg_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::kombos_server::positionMsg_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::kombos_server::positionMsg_<ContainerAllocator> >
{
  static const char* value()
  {
    return "1ae4ef2f61a475f4bebc8aa3b748ebd6";
  }

  static const char* value(const ::kombos_server::positionMsg_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x1ae4ef2f61a475f4ULL;
  static const uint64_t static_value2 = 0xbebc8aa3b748ebd6ULL;
};

template<class ContainerAllocator>
struct DataType< ::kombos_server::positionMsg_<ContainerAllocator> >
{
  static const char* value()
  {
    return "kombos_server/positionMsg";
  }

  static const char* value(const ::kombos_server::positionMsg_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::kombos_server::positionMsg_<ContainerAllocator> >
{
  static const char* value()
  {
    return "string name\n"
"geometry_msgs/Point position\n"
"bool fiability\n"
"\n"
"================================================================================\n"
"MSG: geometry_msgs/Point\n"
"# This contains the position of a point in free space\n"
"float64 x\n"
"float64 y\n"
"float64 z\n"
;
  }

  static const char* value(const ::kombos_server::positionMsg_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::kombos_server::positionMsg_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.name);
      stream.next(m.position);
      stream.next(m.fiability);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct positionMsg_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::kombos_server::positionMsg_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::kombos_server::positionMsg_<ContainerAllocator>& v)
  {
    s << indent << "name: ";
    Printer<std::basic_string<char, std::char_traits<char>, typename ContainerAllocator::template rebind<char>::other > >::stream(s, indent + "  ", v.name);
    s << indent << "position: ";
    s << std::endl;
    Printer< ::geometry_msgs::Point_<ContainerAllocator> >::stream(s, indent + "  ", v.position);
    s << indent << "fiability: ";
    Printer<uint8_t>::stream(s, indent + "  ", v.fiability);
  }
};

} // namespace message_operations
} // namespace ros

#endif // KOMBOS_SERVER_MESSAGE_POSITIONMSG_H
